
/**
 * Write a description of class Venda here.
 * 
 * @author DCC + PRH
 * @version 2006.04.16
 */
public class Venda
{
	// instance variables 
	private String NumFact;
	private String Data;	
	private String Cliente;		
	private Produto Prod;		
	private int Qt;
	private float PreVenda; //Preco de Venda Unitario	

	/**
	 * Constructor for objects of class Venda
	 */
	public Venda(String nf, String d, String cli)
	{
		// initialise instance variables
		this.NumFact = nf;
		this.Data = d;
		this.Cliente = cli;
	}

	/**
	 * Set and Get Attribute values 
	 * 
	 */
	// Set attributes (instance variables)
	public void setVenda(Produtos P, String r, int q, float pv)
	{
		this.Prod = P.getProd(r);
		this.Qt = q;
		this.PreVenda = pv;
	}
	// Get Attributes (the value of  instance variables)
	public String getNF()
	{
		return this.NumFact;
	}
	public String getDt()
	{
		return this.Data;
	}	
	public String getClie()
	{
		return this.Cliente;
	}	
	public Produto getProd()
	{
		return this.Prod;
	}	
	public int getQuant()
	{
		return this.Qt;
	}	
	public float getPV()
	{
		return this.PreVenda;
	}	

	/**
	 * Lista todos os Atributos de uma Venda 
	 * 
	 * @param      não tem
	 * @return     nada 
	 */		
	// Print all the Obj Attributes
	public void mostraVenda()
	{
	    System.out.println("Numero da Factura: "+this.NumFact);
	    System.out.println("Data da Venda: "+this.Data);
	    System.out.println("Nome do Cliente: "+this.Cliente);
        System.out.println("Qt vendida:       "+this.Qt);
        System.out.println("Preco Unitario de Venda: "+this.PreVenda);
        System.out.println("Descricao do produto vendido: ");
        this.Prod.mostraProd();
        System.out.println("----------------------------------");
 	}		
}
